<template>
    <!-- mobile -->
    <lazy-footer-m-main v-if="isMainMobile" :auth="authentication"/>
    <lazy-footer-m-global v-if="isGlobalMobile" :auth="authentication"/>
    <lazy-footer-m-sbo v-if="isSboMobile"/>
    <lazy-footer-m-playful v-if="isShowPlayfulMobileFooter" :auth="authentication"/>
    <!-- <lazy-peru v-if="isPeruMobile"/> -->
    <!-- <lazy-cool88 v-if="isCool88Mobile"/> -->
    <lazy-footer-m-modern v-if="isModernMobile" :theme-properties="themeProperties"/>
    <!-- end mobile -->
    <!-- desktop -->
    <lazy-footer-d-common 
        v-if="isCommon || isFooterStyleOne"
        :alignment="props.alignment"
        :width-customize-enabled="props.widthCustomizeEnabled"
        :information-enabled="props.informationEnabled"
        :property-keys="props.propertiesKeys"/>
    <lazy-footer-d-footer-style-one
        v-else-if="isFooterStyleTwo"
        :alignment="props.alignment"
        :width-customize-enabled="props.widthCustomizeEnabled"
        :information-enabled="props.informationEnabled"
        :property-keys="props.propertiesKeys"
    />
    <lazy-footer-d-modern 
        v-else-if="isModernDesktop"
        :information-enabled="props.informationEnabled"
        :property-keys="props.propertiesKeys"/>
    <!-- end desktop -->
</template>
<script setup lang="ts">
import { EnumTemplate, EnumLayout } from '@/models/enums/enumLayout'
import { store } from '~~/store';
const props = defineProps({
    // use for globle template
    layout: {
        type: String,
        default: EnumLayout.desktop,
    },
    template: {
        type: String,
        default: EnumTemplate.common,
    },
    // use for common template
    alignment: {
        type: String,
    },
    widthCustomizeEnabled: {
        type: Boolean,
    },
    informationEnabled: {
        type: Boolean,
        default: true,
    },
    propertiesKeys: {
        type: Array,
        default: [
            'footer_game_license',
            'footer_game_provider',
            'footer_payment_method',
            'footer_menu_info_',
            'footer_website_introduce_title',
            'footer_website_introduce_content',
            'footer_copyright',
        ]
    }
})

const route = useRoute();

const isDesktop = props.layout === EnumLayout.desktop;
const isSboMobile = props.template === EnumTemplate.sbo && !isDesktop;
const isMainMobile = props.template === EnumTemplate.main && !isDesktop;
const isPeruMobile = props.template === EnumTemplate.peru && !isDesktop;
const isCool88Mobile = props.template === EnumTemplate.cool88 && !isDesktop;
const isModernMobile = props.template === EnumTemplate.modern && !isDesktop;
const isCommon = props.template === EnumTemplate.common && isDesktop;
const isModernDesktop = props.template === EnumTemplate.modern && isDesktop;
const isGlobalMobile = props.template === EnumTemplate.global && !isDesktop;
const isShowPlayfulMobileFooter = computed(() => {
    return props.template === EnumTemplate.playful && !isDesktop && !route.path.includes('transaction-history')
});
const authentication = computed(() => store.state.auth);
const themeProperties = computed(() => store.state.companyThemePropertiesFromApi.ThemeProperties);
const isFooterStyleOne = props.template === EnumTemplate.footer_1;
const isFooterStyleTwo = props.template === EnumTemplate.footer_2;
</script>
